[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TParser.NextToken

Reads the next token and returns its type.

## Declaration

Source position: classesh.inc line 1524

`public function TParser.NextToken: Char;`

## Description

NextToken parses the next token in the stream and returns its type. The type of the token can also be retrieved later reading Token property.

If the end of the stream is reached, toEOF is returned.

For details about token types, see TParser.Token

## Errors

If an error occours while parsing the token, an EParserError exception is raised.

## See also

TParser.Token |  | The type of the current token.

Documentation generated on: Feb 26 2014